Subject: Re: build of /gnu/store/5mzanz9linxs05ypxf1fil639gs2nard-guix-package-cache.drv failed
From: [email-masked]
To: Bug Guix <[email-masked]>
Date: Tue, 18 Jun 2024 03:20:21 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

After a few more attempts guix pull was successful. I don't know what happened, I think it was still right to report it.

-- 

Jun 17, 2024, 23:41 by [email-masked]:

> Hi Guix,
> I'm getting this bug when attempting to guix pull (it persists with an older generation):
>
> build of /gnu/store/5mzanz9linxs05ypxf1fil639gs2nard-guix-package-cache.drv failed
> hint: This usually indicates a bug in one of the channels you are pulling from, or some incompatibility among them.  You can check the build log
> and report the issue to the channel developers.
>
> The channels you are pulling from are: guix.
>
> View build log at '/var/log/guix/drvs/5m/zanz9linxs05ypxf1fil639gs2nard-guix-package-cache.drv.gz'.
> cannot build derivation `/gnu/store/r7v8j9pgaw3sc3wjmchd99arjp527w73-profile.drv': 1 dependencies couldn't be built
> guix pull: error: build of `/gnu/store/r7v8j9pgaw3sc3wjmchd99arjp527w73-profile.drv' failed
>
> (repl-version 0 1 1)
> Generating package cache for '/gnu/store/gxhl3fny25a9d1rmpl9fr9h8brd1ng4m-profile'...
>
> Backtrace:
> In gnu/packages.scm:
>    439:11 19 (generate-package-cache _)
> In srfi/srfi-1.scm:
>    460:18 18 (fold #<procedure expand-cache expr> _ _)
> In gnu/packages.scm:
>    399:37 17 (expand-cache . _)
> In guix/packages.scm:
>   1411:17 16 (supported-package? #<package acpi-call-linux-module@1?> ?)
> In guix/memoization.scm:
>     101:0 15 (_ #<hash-table 7fffe4f30ea0 1780/3517> #<package acpi?> ?)
> In guix/packages.scm:
>   1381:14 14 (_)
> In srfi/srfi-1.scm:
>    460:18 13 (fold #<procedure 7ffff4aa6de0 at guix/packages.scm:13?> ?)
> In guix/packages.scm:
>   1385:44 12 (_ _ ("x86_64-linux" "i686-linux"))
> In guix/memoization.scm:
>     101:0 11 (_ #<hash-table 7fffe4f30ea0 1780/3517> #<package dwar?> ?)
> In guix/packages.scm:
>   1381:14 10 (_)
> In srfi/srfi-1.scm:
>    460:18  9 (fold #<procedure 7ffff4aa7d20 at guix/packages.scm:13?> ?)
> In guix/packages.scm:
>   1385:44  8 (_ _ ("x86_64-linux" "i686-linux"))
> In guix/memoization.scm:
>     101:0  7 (_ #<hash-table 7fffe4f30ea0 1780/3517> #<package libb?> ?)
> In guix/packages.scm:
>   1389:39  6 (_)
>   1651:16  5 (package->bag _ _ _ #:graft? _)
>   1755:47  4 (thunk)
> In gnu/packages/linux.scm:
>   9981:25  3 (native-inputs #<package [email-masked] gnu/packages/linu?>)
> In ice-9/boot-9.scm:
>   1685:16  2 (raise-exception _ #:continuable? _)
>   1780:13  1 (_ #<&compound-exception components: (#<&undefined-vari?>)
> In unknown file:
>            0 (backtrace #<undefined>)
>
> (exception unbound-variable (value #f) (value "Unbound variable: ~S") (value (linux-libre-headers-6.8)) (value #f))
>
> Thank you,
> Best regards
>
> --
>
>